package cn.com.poc.ai_dialogues.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for AiDialoguesQuery
 */
@Entity
public class AiDialoguesQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** id
    *id
    */ 
    private java.lang.Long id;
    
    @Column(name = "id")
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
    
    /** dialogues_id
    *dialogues_id
    */ 
    private java.lang.String dialoguesId;
    
    @Column(name = "dialogues_id")
    public java.lang.String getDialoguesId(){
        return this.dialoguesId;
    }
    
    public void setDialoguesId(java.lang.String dialoguesId){
        this.dialoguesId = dialoguesId;
    }
    
    /** dialogues_type
    *dialogues_type
    */ 
    private java.lang.String dialoguesType;
    
    @Column(name = "dialogues_type")
    public java.lang.String getDialoguesType(){
        return this.dialoguesType;
    }
    
    public void setDialoguesType(java.lang.String dialoguesType){
        this.dialoguesType = dialoguesType;
    }
    
    /** member_id
    *member_id
    */ 
    private java.lang.Long memberId;
    
    @Column(name = "member_id")
    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
    
    /** is_deleted
    *is_deleted
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted")
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
    
    /** title
    *title
    */ 
    private java.lang.String title;
    
    @Column(name = "title")
    public java.lang.String getTitle(){
        return this.title;
    }
    
    public void setTitle(java.lang.String title){
        this.title = title;
    }
    
    /** file_url
    *file_url
    */ 
    private java.lang.String fileUrl;
    
    @Column(name = "file_url")
    public java.lang.String getFileUrl(){
        return this.fileUrl;
    }
    
    public void setFileUrl(java.lang.String fileUrl){
        this.fileUrl = fileUrl;
    }


    /**
     * CREATOR
     * 创建人
     */
    private java.lang.String creator;

    @Column(name = "CREATOR", length = 225)
    public java.lang.String getCreator() {
        return this.creator;
    }

    public void setCreator(java.lang.String creator) {
        this.creator = creator;
    }


    /**
     * CREATED_TIME
     * 创建时间
     */
    private java.util.Date createdTime;

    @Column(name = "CREATED_TIME", length = 19)
    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
    }


    /**
     * MODIFIER
     * 修改人
     */
    private java.lang.String modifier;

    @Column(name = "MODIFIER", length = 225)
    public java.lang.String getModifier() {
        return this.modifier;
    }

    public void setModifier(java.lang.String modifier) {
        this.modifier = modifier;
    }


    /**
     * MODIFIED_TIME
     * 修改时间
     */
    private java.util.Date modifiedTime;

    @Column(name = "MODIFIED_TIME", length = 19)
    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }


} 